---
lang: en
title: 'API docs: context.bindingkey.buildkeyforconfig'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.bindingkey.buildkeyforconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingKey](./context.bindingkey.md) &gt; [buildKeyForConfig](./context.bindingkey.buildkeyforconfig.md)

## BindingKey.buildKeyForConfig() method

Build a binding key for the configuration of the given binding. The format is `<key>:$config`

<b>Signature:</b>

```typescript
static buildKeyForConfig<T>(key?: BindingAddress): BindingAddress<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>BindingAddress</code> | Key of the target binding to be configured |

<b>Returns:</b>

`BindingAddress<T>`


